package takeover

import "context"

type Repository interface {
	Create(ctx context.Context, row *TakeoverAc) error
	Update(ctx context.Context, row *TakeoverAc) error
	Delete(ctx context.Context, id []byte, deletedBy []byte) error
	GetByID(ctx context.Context, id []byte) (*TakeoverAc, error)
	List(ctx context.Context, limit, offset int) ([]TakeoverAc, int64, error)
}
